# Makefile.in generated by automake 1.6.3 from Makefile.am.
# doc/Makefile.  Generated from Makefile.in by configure.

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


SHELL = /bin/sh

srcdir = .
top_srcdir = ..

prefix = /usr
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = ${prefix}/share
sysconfdir = ${prefix}/etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib
infodir = ${prefix}/info
mandir = ${prefix}/man
includedir = ${prefix}/include
oldincludedir = /usr/include
pkgdatadir = $(datadir)/xine-lib
pkglibdir = $(libdir)/xine-lib
pkgincludedir = $(includedir)/xine-lib
top_builddir = ..

ACLOCAL = ${SHELL} /tmp/xine-lib-1-rc6a/missing --run aclocal-1.6
AUTOCONF = ${SHELL} /tmp/xine-lib-1-rc6a/missing --run autoconf
AUTOMAKE = ${SHELL} /tmp/xine-lib-1-rc6a/missing --run automake-1.6
AUTOHEADER = ${SHELL} /tmp/xine-lib-1-rc6a/missing --run autoheader

am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/ginstall -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_SCRIPT = ${INSTALL}
INSTALL_HEADER = $(INSTALL_DATA)
transform = s,x,x,
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_alias = 
host_triplet = s390

EXEEXT = 
OBJEXT = o
PATH_SEPARATOR = :
AAINFO = 
AALIB_CFLAGS = -I/usr/include
AALIB_CONFIG = /usr/bin/aalib-config
AALIB_LIBS = -L/usr/lib -Wl,-rpath,/usr/lib -laa -lm -lgpm -lncurses
ACLOCAL_DIR = 
ALSA_CFLAGS = 
ALSA_LIBS = -lasound 
ALSA_STATIC_LIB = /usr/lib/libasound.a
AMTAR = ${SHELL} /tmp/xine-lib-1-rc6a/missing --run tar
AR = ar
ARTS_CFLAGS = 
ARTS_CONFIG = no
ARTS_LIBS = 
AS = as
ASFLAGS = 
AWK = gawk
BUILD_INCLUDED_LIBINTL = no
CACA_CFLAGS = -I/usr/include/
CACA_CONFIG = /usr/bin/caca-config
CACA_LIBS = -L/usr/lib -lcaca_pic -lslang -lX11 -L/usr/X11R6/lib -lncurses -lncurses
CATALOGS =  fr.gmo pt_BR.gmo de.gmo sk.gmo es.gmo pl.gmo cs.gmo it.gmo
CATOBJEXT = .gmo
CC = gcc
CCAS = $(CC)
CCASCOMPILE = $(LIBTOOL) --mode=compile $(CCAS) $(AM_ASFLAGS) $(CCASFLAGS)
CCASFLAGS = $(CFLAGS)
CXX = g++
CXXCPP = g++ -E
DATADIRNAME = share
DEBUG_CFLAGS = -O -Wall -D_REENTRANT -D_FILE_OFFSET_BITS=64 -DXINE_COMPILE -g -DDEBUG 
DEPCOMP = depcomp
DEPDIR = .deps
DEPMOD = depmod
DIRECTFB_CFLAGS = 
DIRECTFB_LIBS = 
DIRECTX_AUDIO_LIBS =  -ldsound
DIRECTX_CPPFLAGS = 
DIRECTX_VIDEO_LIBS =  -lgdi32 -lddraw
DLLTOOL = dlltool
DVDNAV_CFLAGS = 
DVDNAV_CONFIG = 
DVDNAV_LIBS = 
DYNAMIC_LD_LIBS = -ldl
ECHO = echo
EGREP = grep -E
ESD_CFLAGS = 
ESD_CONFIG = /usr/bin/esd-config
ESD_LIBS = -L/usr/lib -lesd -laudiofile -lm -lasound
EXTRA_X_CFLAGS = 
EXTRA_X_LIBS = -L/usr/X11R6/lib -L/usr/X11R6/lib -lXv -lXext
F77 = g77
FFMPEG_CPPFLAGS = 
FFMPEG_LIBS = 
FIG2DEV = fig2dev
FREETYPE_CONFIG = /usr/local/bin/freetype-config
FT2_CFLAGS = -I/usr/local/include/freetype2 -I/usr/local/include
FT2_LIBS = -L/usr/local/lib -lfreetype -lz
GCJ = @GCJ@
GCJFLAGS = @GCJFLAGS@
GENCAT = gencat
GLIBC21 = yes
GLUT_LIBS = -lglut
GLU_LIBS = 
GMOFILES =  fr.gmo pt_BR.gmo de.gmo sk.gmo es.gmo pl.gmo cs.gmo it.gmo
GMSGFMT = /usr/bin/msgfmt
GNOME_VFS_CFLAGS = -pthread -DORBIT2=1 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/bonobo-activation-2.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/orbit-2.0  
GNOME_VFS_LIBS = -pthread -Wl,--export-dynamic -lgnomevfs-2 -lbonobo-activation -lORBit-2 -lgobject-2.0 -lm -lgmodule-2.0 -ldl -lgthread-2.0 -lglib-2.0  
GOOM_LIBS = 
HAVE_BSDI_CDROM = 
HAVE_DARWIN_CDROM = 
HAVE_FREEBSD_CDROM = 
HAVE_LINUX_CDROM = 
HAVE_SOLARIS_CDROM = 
HAVE_WIN32_CDROM = 
INCLUDES = -I$(top_srcdir) -I$(top_builddir)/include -I$(top_srcdir)/include -I$(top_srcdir)/src -I$(top_builddir)/src/xine-engine -I$(top_srcdir)/src/xine-engine -I$(top_srcdir)/src/xine-utils $(INTLDIR) -I$(top_builddir)/src/input -I$(top_srcdir)/src/input $(WIN32_CPPFLAGS) $(THREAD_INCLUDES) $(ZLIB_INCLUDES)
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
INSTOBJEXT = .mo
INTLBISON = bison
INTLDIR = 
INTLLIBS = 
INTLOBJS = 
INTL_LIBTOOL_SUFFIX_PREFIX = l
IRIXAL_CFLAGS = 
IRIXAL_LIBS = 
IRIXAL_STATIC_LIB = 
KSTAT_LIBS = 
LIBCDIO_CFLAGS = -I$(top_srcdir)/src/input/vcd/libcdio
LIBCDIO_LIBS = $(top_builddir)/src/input/vcd/libcdio/libcdio.la
LIBFAME_CFLAGS = 
LIBFAME_CONFIG = 
LIBFAME_LIBS = 
LIBFFMPEG_CFLAGS = -DSIMPLE_IDCT -DHAVE_AV_CONFIG_H -DRUNTIME_CPUDETECT -DUSE_FASTMEMCPY -DCONFIG_RISKY -DCONFIG_DECODERS -DXINE_MPEG_ENCODER -DCONFIG_ZLIB
LIBFLAC_CFLAGS = -I/usr/include
LIBFLAC_LIBS = -L/usr/lib -lFLAC -lm
LIBICONV = 
LIBISO9660_LIBS = $(top_builddir)/src/input/vcd/libcdio/libiso9660.la
LIBMODPLUG_CFLAGS = 
LIBMODPLUG_LIBS = 
LIBMPEG2_CFLAGS = 
LIBNAME = libxine1
LIBPNG_CONFIG = /usr/bin/libpng-config
LIBSTK_CFLAGS = 
LIBSTK_LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool-nofpic
LIBTOOL_DEPS = ./ltmain.sh
LIBVCDINFO_LIBS = $(top_builddir)/src/input/vcd/libvcd/libvcdinfo.la
LIBVCD_CFLAGS = -I$(top_srcdir)/src/input/vcd/libvcd
LIBVCD_LIBS = $(top_builddir)/src/input/vcd/libvcd/libvcd.la
LIBVCD_SYSDEP = 
LINUX_CDROM_TIMEOUT = 
LINUX_INCLUDE = -I/usr/src/linux/include
LIRC_INCLUDE = @LIRC_INCLUDE@
LIRC_LIBS = @LIRC_LIBS@
LN_S = ln -s
LT_AGE = 9
LT_CURRENT = 10
LT_REVISION = 0
MKINSTALLDIRS = mkinstalldirs
MKNOD = mknod
MLIB_CFLAGS = 
MLIB_LIBS = 
MNG_LIBS = -lmng
MSGFMT = /usr/bin/msgfmt
NET_LIBS = -lnsl 
OBJC = 
OBJCFLAGS = 
OBJDUMP = objdump
OGG_CFLAGS = 
OGG_LIBS =  -logg -logg -logg
OPENGL_CFLAGS = 
OPENGL_LIBS = -lGL
PACKAGE = xine-lib
PASS1_CFLAGS = -fprofile_arcs 
PASS2_CFLAGS = -fbranch-probabilities 
PKG_CONFIG = /usr/bin/pkg-config
PNG_CFLAGS = -I/usr/include/libpng12
PNG_LIBS = -lpng12 -lz -lm
POFILES =  fr.po pt_BR.po de.po sk.po es.po pl.po cs.po it.po
POSUB = po
RANLIB = ranlib
RC = @RC@
SDL_CFLAGS = -I/usr/include/SDL -D_REENTRANT
SDL_CONFIG = /usr/bin/sdl-config
SDL_LIBS = -L/usr/lib -Wl,-rpath,/usr/lib -lSDL -lpthread
SGMLTOOLS = no
SPEC_VERSION = 1_rc6a
SPEEX_CFLAGS = 
SPEEX_LIBS = 
STATIC = 
STRIP = strip
SUNDGA_CFLAGS = 
SUNDGA_LIBS = 
TAR_NAME = xine-lib-1-rc6a
THEORAENC_LIBS = 
THEORAFILE_LIBS = 
THEORA_CFLAGS = 
THEORA_LIBS = 
THREAD_CFLAGS = 
THREAD_CFLAGS_CONFIG = 
THREAD_INCLUDES = 
THREAD_LIBS = -lpthread
THREAD_LIBS_CONFIG = -lpthread
USE_INCLUDED_LIBINTL = no
USE_NLS = yes
VERSION = 1-rc6a
VORBISENC_LIBS = -lvorbisenc
VORBISFILE_LIBS = -lvorbisfile
VORBIS_CFLAGS = 
VORBIS_LIBS =  -lvorbis -lm
W32DLL_DEP = #
W32_NO_OPTIMIZE =  -fno-omit-frame-pointer -fno-inline-functions -fno-rename-registers
WIN32_CPPFLAGS = 
XINE_ACFLAGS = -I ${prefix}/share/aclocal
XINE_BIN_AGE = 
XINE_BUILD_CC = gcc version 3.3.4
XINE_BUILD_DATE = Mon 18 Oct 2004 21:49:19
XINE_BUILD_OS = Linux 2.4.27 s390
XINE_DATADIR = /usr/share/xine
XINE_FONTDIR = ${prefix}/share/xine/libxine1/fonts
XINE_FONTPATH = /usr/share/xine/libxine1/fonts
XINE_IFACE_AGE = 
XINE_LOCALEDIR = ${prefix}/share/locale
XINE_LOCALEPATH = /usr/share/locale
XINE_MAJOR = 1
XINE_MINOR = 0
XINE_PLUGINDIR = ${exec_prefix}/lib/xine/plugins/1.0.0
XINE_PLUGINPATH = /usr/lib/xine/plugins/1.0.0
XINE_PLUGIN_MIN_SYMS = 
XINE_SCRIPTPATH = /usr/share/xine/scripts
XINE_SUB = 0
XVMC_LIB = 
XV_LIB = -L/usr/X11R6/lib -lXv
X_CFLAGS =  -I/usr/X11R6/include
X_EXTRA_LIBS = 
X_LIBS =  -L/usr/X11R6/lib -lXinerama
X_PRE_LIBS =  -lSM -lICE
ZLIB_INCLUDES = 
ZLIB_LIBS = -lz
ZLIB_LIBS_CONFIG = -lz
am__include = include
am__quote = 
install_sh = /tmp/xine-lib-1-rc6a/install-sh
mkdir_p = 
w32_path = /usr/lib/win32
XINE_LIB = $(top_builddir)/src/xine-engine/libxine.la

SUBDIRS = man hackersguide faq

docs_DATA = README README.dvb README.dxr3 \
	    README.freebsd README.irix README.network_dvd README.opengl \
	    README.solaris README.syncfb


EXTRA_DIST = $(docs_DATA)

docsdir = $(prefix)/share/doc/xine
subdir = doc
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
DIST_SOURCES =
DATA = $(docs_DATA)


RECURSIVE_TARGETS = info-recursive dvi-recursive install-info-recursive \
	uninstall-info-recursive all-recursive install-data-recursive \
	install-exec-recursive installdirs-recursive install-recursive \
	uninstall-recursive check-recursive installcheck-recursive
DIST_COMMON = README Makefile.am Makefile.in
DIST_SUBDIRS = $(SUBDIRS)
all: all-recursive

.SUFFIXES:
$(srcdir)/Makefile.in:  Makefile.am $(top_srcdir)/misc/Makefile.common $(top_srcdir)/configure.ac $(ACLOCAL_M4)
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  doc/Makefile
Makefile:  $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:
docsDATA_INSTALL = $(INSTALL_DATA)
install-docsDATA: $(docs_DATA)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(docsdir)
	@list='$(docs_DATA)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " $(docsDATA_INSTALL) $$d$$p $(DESTDIR)$(docsdir)/$$f"; \
	  $(docsDATA_INSTALL) $$d$$p $(DESTDIR)$(docsdir)/$$f; \
	done

uninstall-docsDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(docs_DATA)'; for p in $$list; do \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " rm -f $(DESTDIR)$(docsdir)/$$f"; \
	  rm -f $(DESTDIR)$(docsdir)/$$f; \
	done

# This directory's subdirectories are mostly independent; you can cd
# into them and run `make' without going through this Makefile.
# To change the values of `make' variables: instead of editing Makefiles,
# (1) if the variable is set in `config.status', edit `config.status'
#     (which will cause the Makefiles to be regenerated when you run `make');
# (2) otherwise, pass the desired values on the `make' command line.
$(RECURSIVE_TARGETS):
	@set fnord $$MAKEFLAGS; amf=$$2; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
	done; \
	if test "$$dot_seen" = "no"; then \
	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
	fi; test -z "$$fail"

mostlyclean-recursive clean-recursive distclean-recursive \
maintainer-clean-recursive:
	@set fnord $$MAKEFLAGS; amf=$$2; \
	dot_seen=no; \
	case "$@" in \
	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
	  *) list='$(SUBDIRS)' ;; \
	esac; \
	rev=''; for subdir in $$list; do \
	  if test "$$subdir" = "."; then :; else \
	    rev="$$subdir $$rev"; \
	  fi; \
	done; \
	rev="$$rev ."; \
	target=`echo $@ | sed s/-recursive//`; \
	for subdir in $$rev; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
	done && test -z "$$fail"
tags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
	done

ETAGS = etags
ETAGSFLAGS =

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique

TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    test -f $$subdir/TAGS && tags="$$tags -i $$here/$$subdir/TAGS"; \
	  fi; \
	done; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$tags$$unique" \
	  || $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	     $$tags $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && cd $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) $$here

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)

top_distdir = ..
distdir = $(top_distdir)/$(PACKAGE)-$(VERSION)

distdir: $(DISTFILES)
	@list='$(DISTFILES)'; for file in $$list; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkinstalldirs) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    test -d $(distdir)/$$subdir \
	    || mkdir $(distdir)/$$subdir \
	    || exit 1; \
	    (cd $$subdir && \
	      $(MAKE) $(AM_MAKEFLAGS) \
	        top_distdir="$(top_distdir)" \
	        distdir=../$(distdir)/$$subdir \
	        distdir) \
	      || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-recursive
all-am: Makefile $(DATA)
installdirs: installdirs-recursive
installdirs-am:
	$(mkinstalldirs) $(DESTDIR)$(docsdir)

install: install-recursive
install-exec: install-exec-recursive
install-data: install-data-recursive
uninstall: uninstall-recursive

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-recursive
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)
clean: clean-recursive

clean-am: clean-generic clean-libtool mostlyclean-am

distclean: distclean-recursive

distclean-am: clean-am distclean-generic distclean-libtool \
	distclean-tags

dvi: dvi-recursive

dvi-am:

info: info-recursive

info-am:

install-data-am: install-docsDATA
	@$(NORMAL_INSTALL)
	$(MAKE) $(AM_MAKEFLAGS) install-data-hook

install-exec-am:

install-info: install-info-recursive

install-man:

installcheck-am:

maintainer-clean: maintainer-clean-recursive

maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-recursive

mostlyclean-am: mostlyclean-generic mostlyclean-libtool

uninstall-am: uninstall-docsDATA uninstall-info-am
	@$(NORMAL_INSTALL)
	$(MAKE) $(AM_MAKEFLAGS) uninstall-hook

uninstall-info: uninstall-info-recursive

.PHONY: $(RECURSIVE_TARGETS) GTAGS all all-am check check-am clean \
	clean-generic clean-libtool clean-recursive distclean \
	distclean-generic distclean-libtool distclean-recursive \
	distclean-tags distdir dvi dvi-am dvi-recursive info info-am \
	info-recursive install install-am install-data install-data-am \
	install-data-recursive install-docsDATA install-exec \
	install-exec-am install-exec-recursive install-info \
	install-info-am install-info-recursive install-man \
	install-recursive install-strip installcheck installcheck-am \
	installdirs installdirs-am installdirs-recursive \
	maintainer-clean maintainer-clean-generic \
	maintainer-clean-recursive mostlyclean mostlyclean-generic \
	mostlyclean-libtool mostlyclean-recursive tags tags-recursive \
	uninstall uninstall-am uninstall-docsDATA uninstall-info-am \
	uninstall-info-recursive uninstall-recursive


$(XINE_LIB):
	@cd $(top_srcdir)/src/xine-engine && $(MAKE)

install-data-hook:
	@if test $$MAKELEVEL -le 4 ; then \
	  if test -x "$(top_srcdir)/post-install.sh" ; then \
	    $(top_srcdir)/post-install.sh ; \
	  fi \
	fi

pass1:
	@$(MAKE) MULTIPASS_CFLAGS="$(PASS1_CFLAGS)"

pass2:
	@$(MAKE) MULTIPASS_CFLAGS="$(PASS2_CFLAGS)"

debug:
	@$(MAKE) CFLAGS="$(DEBUG_CFLAGS)"

install-debug: debug
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
	@list='$(SUBDIRS)'; for subdir in $$list; do \
	  (cd $$subdir && $(MAKE) $@) || exit; \
	done;
	$(MAKE) $(AM_MAKEFLAGS) install-data-hook

install-includeHEADERS: $(include_HEADERS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(includedir)/xine
	@list='$(include_HEADERS)'; for p in $$list; do \
	  if test -f "$$p"; then d= ; else d="$(srcdir)/"; fi; \
	  echo " $(INSTALL_DATA) $$d$$p $(DESTDIR)$(includedir)/xine/$$p"; \
	  $(INSTALL_DATA) $$d$$p $(DESTDIR)$(includedir)/xine/$$p; \
	done

uninstall-includeHEADERS:
	@$(NORMAL_UNINSTALL)
	list='$(include_HEADERS)'; for p in $$list; do \
	  rm -f $(DESTDIR)$(includedir)/xine/$$p; \
	done

uninstall-hook:
	@if echo '$(libdir)' | egrep ^'$(XINE_PLUGINDIR)' >/dev/null; then \
	  list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	    p="`echo $$p | sed -e 's/\.la$$/\.so/g;s|^.*/||'`"; \
	    echo " rm -f $(DESTDIR)$(libdir)/$$p"; \
	    rm -f $(DESTDIR)$(libdir)/$$p; \
	  done; \
	fi

mostlyclean-generic:
	-rm -f *~ \#* .*~ .\#*

maintainer-clean-generic:
	-@echo "This command is intended for maintainers to use;"
	-@echo "it deletes files that may require special tools to rebuild."
	-rm -f Makefile.in

docs clean-docs:
	@cd faq && $(MAKE) $@
	@cd hackersguide && $(MAKE) $@
# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
